Loading...
Searching...
No Matches
pcl::device::ProbabilityProc Class Reference

Implementation Class to process probability histograms on GPU. More...

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/src/internal.h>`

## Public Member Functions

| ProbabilityProc ()
| Default constructor.
void | CUDA_SelectLabel (const Depth &depth, Labels &labels, LabelProbability &probabilities)
| This will merge the votes from the different trees into one final vote, including probabilistic's.
void | CUDA_CombineProb (const Depth &depth, LabelProbability &probIn1, float weight1, LabelProbability &probIn2, float weight2, LabelProbability &probOut)
| This will combine two probabilities according their weight.
void | CUDA_WeightedSumProb (const Depth &depth, LabelProbability &probIn, float weight, LabelProbability &probOut)
| This will sum a probability multiplied with it's weight.
int | CUDA_GaussianBlur (const Depth &depth, LabelProbability &probIn, DeviceArray< float > &kernel, LabelProbability &probOut)
| This will blur the input labelprobability with the given kernel.
int | CUDA_GaussianBlur (const Depth &depth, LabelProbability &probIn, DeviceArray< float > &kernel, LabelProbability &probTemp, LabelProbability &probOut)
| This will blur the input labelprobability with the given kernel, this version avoids extended allocation.

## Detailed Description

Implementation Class to process probability histograms on GPU.

Definition at line 153 of file internal.h.

## Constructor & Destructor Documentation

## ProbabilityProc()

pcl::device::ProbabilityProc::ProbabilityProc | ( |  | ) |

inline

Default constructor.

Definition at line 157 of file internal.h.

## Member Function Documentation

## CUDA_CombineProb()

void pcl::device::ProbabilityProc::CUDA_CombineProb | ( | const Depth & | depth,
|  | LabelProbability & | probIn1,
|  | float | weight1,
|  | LabelProbability & | probIn2,
|  | float | weight2,
|  | LabelProbability & | probOut )

This will combine two probabilities according their weight.

## CUDA_GaussianBlur() [1/2]

int pcl::device::ProbabilityProc::CUDA_GaussianBlur | ( | const Depth & | depth,
|  | LabelProbability & | probIn,
|  | DeviceArray< float > & | kernel,
|  | LabelProbability & | probOut )

This will blur the input labelprobability with the given kernel.

## CUDA_GaussianBlur() [2/2]

int pcl::device::ProbabilityProc::CUDA_GaussianBlur | ( | const Depth & | depth,
|  | LabelProbability & | probIn,
|  | DeviceArray< float > & | kernel,
|  | LabelProbability & | probTemp,
|  | LabelProbability & | probOut )

This will blur the input labelprobability with the given kernel, this version avoids extended allocation.

## CUDA_SelectLabel()

void pcl::device::ProbabilityProc::CUDA_SelectLabel | ( | const Depth & | depth,
|  | Labels & | labels,
|  | LabelProbability & | probabilities )

This will merge the votes from the different trees into one final vote, including probabilistic's.

## CUDA_WeightedSumProb()

void pcl::device::ProbabilityProc::CUDA_WeightedSumProb | ( | const Depth & | depth,
|  | LabelProbability & | probIn,
|  | float | weight,
|  | LabelProbability & | probOut )

This will sum a probability multiplied with it's weight.

The documentation for this class was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/src/internal.h